{% extends 'base.html' %}
{% load i18n %}
{% block title %}{% trans "All Quizzes" %}{% endblock %}

{% block content %}
<h2>Asignaturas</h2>
    {% if quiz_list %}
		<table class="table table-bordered table-striped">

		  <thead>
			<tr>
			  <th>{% trans "Category" %}</th>
			  <th></th>
			</tr>
		  </thead>

		  <tbody>

        {% for quiz in quiz_list %}

  			<tr>
  			  <td>{{ quiz.category }}</td>
  			  <td>
            <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#MyModal{{quiz.id}}">Realizar Prueba</button>
          </td>
				</tr>

        {% endfor %}
		  </tbody>

		</table>
    {% for quiz in quiz_list %}

    <!-- Modal -->
     <div class="modal fade" id="MyModal{{quiz.id}}" role="dialog">
       <div class="modal-dialog">

         <!-- Modal content-->
         <div class="modal-content">
           <div class="modal-body">

             <h2>{{ quiz.title }}</h2>
             {% if quiz.single_attempt %}
             {% endif %}
             <p>{{ quiz.description }}</p>
           </div>
           <div class="modal-footer">
               <a href="{% url 'quiz_question' quiz_name=quiz.url %}" class="btn btn-primary">
                 Empezar Prueba
               </a>
             <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
           </div>
         </div>

       </div>
     </div>
    <!-- el Modal del {{ quiz }} -->
    {% endfor %}

    <a href="result/{{ request.user}}" class="btn btn-success">Resultados</a>
	{% else %}
        <p>{% trans "There are no available quizzes" %}.</p>
    {% endif %}
{% endblock %}
